API für Partner › Arbeitsbereich SMS-Autorisierung starten POST /api/crm/v2/mobile_apps_ios_authorization_codes.authorizationv2
operationId: mobileAppsiOSAuthorizationCodes.authorization
Startet die Hintergrundautorisierung eines iOS-Kontos per SMS. Der von Apple per SMS gesendete Code wird anschließend über .add eingegeben und vom Prozess übernommen. Es wird ein mit dem Netzwerk verknüpftes iOS-Konto verwendet; der Request-Body ist leer. Ist kein iOS-Konto mit dem Netzwerk verknüpft oder wird das Konto nicht gefunden, wird Fehler 100 zurückgegeben.
Autorisierung api-token + language + role
Anfragetext application/json Antworten 200
object
status string erforderlich
Werte: successerror
Beispiel: success
curl PHP JavaScript Python Kopieren
curl -X POST 'https://foodsoul.ru/api/crm/v2/mobile_apps_ios_authorization_codes.authorization' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: de' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/mobile_apps_ios_authorization_codes.authorization' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'de' ,
'role' => 'partner' ,
],
'json' => [],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/mobile_apps_ios_authorization_codes.authorization" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "de" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/mobile_apps_ios_authorization_codes.authorization" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "de" ,
"role" : "partner" ,
},
json ={},
)
data = response . json () Antwort 200
{
"status" : "success" ,
"data" : {}
} Anfragen werden an foodsoul.ru gesendet – dies ist der Host dieses Portals, ein anderer kann nicht ausgewählt werden.